### Function

# GObject enum_get_value

since: 2.0

#### Declaration

    GEnumValue*
    g_enum_get_value (
      GEnumClass* enum_class,
      gint value
    )

#### Description

Returns the `GEnumValue` for a value.

Available since: 2.0

#### Parameters

`enum_class`

  Type: `GEnumClass`

  A `GEnumClass`.

  The data is owned by the caller of the function.

`value`

  Type: `gint`

  The value to look up.

#### Return value

Type: `GEnumValue`

The `GEnumValue` for `value`, or `NULL` if `value` is not a member of the enumeration.

The data is owned by the called function.
The return value can be `NULL`.